phpMyAdmin package 2.11.7 available for ISPConfig 2

Discussion in 'General' started by Hans, Jun 23, 2008.

  1. Hans

    Hans Moderator ISPConfig Developer

    Today a new stable version of phpMyAdmin has been released, so i've created an updated phpMyAdmin package for ISPConfig again. This time, the package is based on version 2.11.7.

    For release notes, please have a look here.

    For security reasons, I also added the following to the configuration file called config.inc.php, so that some databases will be hidden:

    $cfg['Servers'][$i]['hide_db'] = '(information_schema|mysql|pmadb|test)';

    The file phpmyadmin/scripts/setup.php is NOT included in the package.

    Update instructions:
    Remove the old phpMyAdmin version first before you install this new package on your ISPConfig server!
    You can do this with the following commands:
    rm -r /home/admispconfig/ispconfig/web/phpmyadmin
    rm /home/admispconfig/ispconfig/web/phpmyadmin.tar.gz
    rm -r /home/admispconfig/ispconfig/web/tools/tools/phpmyadmin

    The package can be found here.

    Have fun! :)
     

    Attached Files:

  2. edge

    edge Active Member Moderator

    Thank you.
     
  3. Gimly

    Gimly Member

    Thanks hans, you're very quick to offer an update of phpmyadmin :)
     
  4. jbravo

    jbravo New Member

    I've just tried to update by uploading Your pkg file (as for every phpmyadmin update) and unfortunately got this ispconfig web interface error (translation from polish):

    Error 103: No username or password supplied.

    And i have to login again to use ispconfig panel. I've tried this on my production system and my virtual lab (also tried Opera9.50 and Firefox3.0).
     
  5. Hans

    Hans Moderator ISPConfig Developer

    Do you have the same problem, when you when you've set the language to English again?
    I don't know what could be wrong, maybe something wrong with the Plish language files, like last time with the Swedish..

    Remember that the prevous package can be downloaded here.
     
  6. jbravo

    jbravo New Member

    My Ispconfig admin user language is set to english - although i can see in language combo box "pl" when i enter this option (does it detect my system regional setting?) . Only web interface dialogs have been changed to polish language (on my own).
    Maybe i should try default installation without my customizations. But i was surprised beacuse previous versions work with my interface language cutomizations like a charm.
     
  7. jbravo

    jbravo New Member

    Could you please tell if the problem was with phpmyadmin language files or with ispconfig language files?

    I've installed "alllanguages phpmyadmin tar.gz 2.11.7" version on my other webserver and it works ok.
     
  8. Hans

    Hans Moderator ISPConfig Developer

    The problem was with the Swedish language files that came with phpmyadmin.
     
  9. gregi

    gregi New Member

    hm, I'm getting this exact same error and I'm running the english version of ispconfig (2.2.23). I removed the previous (2.11.6) and tried uprading to 2.11.7. (I'm getting a “Missing parameters” error when trying to export a db and thought this could help)
    Downgrading back to 2.11.6 worked ok... still getting the error though..:(
     
  10. Hans

    Hans Moderator ISPConfig Developer

    I've installed th 2.11.7 package on two servers. Switched from my native laguage Dutch to English. After that i exported several databases without any problem. I can't reproduce the error that you both have.

    Your error persists also with 2.11.6, so maybe it is not phpmyadmin 2.11.7 which is the cause of your problem...
     
  11. Srdan Dukic

    Srdan Dukic New Member

    I just did a full system install, according to Falko's instructions here and I keep on getting the message "ERROR 103: No username or password provided." when I try to install the phpMyAdmin package.

    I'm not so sure if this error has anything to do with the language, I selected english at every step of the installation (including the system install).

    Where could I get the old ISPConfig phpMyAdmin package? i.e. the 2.11.6?? I want to try installing that to see if it makes any difference. I've tried looking, but can't seem to find it.
     
  12. Hans

    Hans Moderator ISPConfig Developer

    You can download it here.
     
  13. jbravo

    jbravo New Member

    Just like i said - 2.11.7 tarball from phpmyadmin site is ok - so to me it is not phpmyadmin error itself.
    I'll just wait for next Hans's release beacuse i'm sure it is temporary problem:)
    Till this time i choose tarball version.
     
  14. torusturtle

    torusturtle ISPConfig Developer ISPConfig Developer

    I did upgrade but now only get a blank screen. Loading endless and not showing anything.
    I tried to go back to 2.11.6 but have the same problem.

    EDIT: Have installed ISPConfig 2.2.24 and it works now.
     
    Last edited: Jul 11, 2008
  15. Srdan Dukic

    Srdan Dukic New Member

    Ok, I downloaded and installed the older version and I can confirm that it installed without a problem and works perfectly.
     
  16. Hans

    Hans Moderator ISPConfig Developer

    In the mean time there is a new version available.
    Please have a look here.
     
  17. jbravo

    jbravo New Member

    And show goes on again:)

    Works fine, big thanks Hans!
     

Share This Page